-- Ice Zone

reset()

conf.sv_timelimit = 0
conf.sv_fraglimit = 0
conf.sv_nightmode = true

--===========--
--= icetank =--
--===========--

classes.icetank =
{
  -- game properties --

  display     = "icetank",
  health      = 10000,
  percussion  = 1.0,
  fragility   = 3.0,


  -- physical properties --

  bounds = {
    {  19.0,  18.5 },  -- 1      3-----4
    { -18.5,  18.5 },  -- 2      |  .  |___ x
    { -18.5, -18.5 },  -- 3      |  '  |
    {  19.0, -18.5 },  -- 4      2-----1
  },

  mass      = 1.1,
  inertia   = 700.0,
                
  dry_fric  = {450, 1000, 30},   -- dry friction: x,y,angular
  vis_fric  = {2.0,  2.5, 10},   -- viscous friction: x,y,angular

  power     = {1750, 100},     -- engine power: linear,angular
  max_speed = {1100, 3.5},     -- max speed: linear, angular
}


--===========--
--= firetank =--
--===========--

classes.firetank =
{
  -- game properties --

  display     = "firetank",
  health      = 2000,
  percussion  = 10.0,
  fragility   = 1.0,


  -- physical properties --

  bounds = {
    {  22.0,  18.5 },  -- 1      3-----4
    { -23.5,  18.5 },  -- 2      |  .  |___ x
    { -23.5, -18.5 },  -- 3      |  '  |
    {  22.0, -18.5 },  -- 4      2-----1
  },

  mass      = 2.0,
  inertia   = 700.0,
                
  dry_fric  = {450, 1000, 30},   -- dry friction: x,y,angular
  vis_fric  = {2.0,  2.5, 10},   -- viscous friction: x,y,angular

  power     = {2050, 100},     -- engine power: linear,angular
  max_speed = {1400, 3.5},     -- max speed: linear, angular
}

loadmap("campaign/Ice Zone/level1.map")
loadtheme("campaign/Ice Zone/icezone.lua") 
		service( "player_local", { 
			name="icetank", 
			skin="icetank", 
			team=1, 
			on_die="user.no()", 
			class="icetank", 
			nick="Player1" } )

function user.no()
	message("!")
	pushcmd( function()	freeze(true) end, 1.0 )
	pushcmd( function() 
		loadmap("campaign/Battle City/maps/defeat.map")
		pushcmd( function() damage(10, "mine1") end, 2 )
		pushcmd( function() damage(10, "mine6") end, 2.2 )
		pushcmd( function() damage(10, "mine8") end, 2.4 )
		pushcmd( function() damage(10, "mine2") end, 2.6 )
		pushcmd( function() damage(10, "mine7") end, 2.8 )
		pushcmd( function() damage(10, "mine3") end, 3.0)
		pushcmd( function() damage(10, "mine9") end, 3.1 )
		pushcmd( function() damage(10, "mine4") end, 3.2 )
		pushcmd( function() damage(10, "mine5") end, 3.3 )
		pushcmd( function() damage(10, "mine10") end, 3.4 )
	end, 2 )
end


function user.fire()
			service( "ai", { 
				name="firetank", 
				skin="firetank", 
				team=2, 
				on_die="user.diefire()", 
				class="firetank",
				level=3 } )
end

function user.diefire()
kill("firetank")
kill("fire")
end

function user.win()
	message("!");
	pushcmd( function()	freeze(true) end, 0.5 )
	pushcmd( user.Next, 2 )
end